%define ver 1.5
%define rel 7mdk
%define name yudit

Name: %{name}
Version: %{ver}
Release: %{rel}
Group: Editors
BuildRequires: XFree86-devel freetype-devel
Copyright: GPL
Source0: http://www.yudit.org/download/yudit-1.5.tar.bz2
Source1: yudit-extra-bumaps.tar.bz2
Source2: %{name}.menu
Source3:icons-%{name}.tar.bz2
Patch1: http://www.yudit.org/download/yudit-1.5-config.diff.bz2
URL: http://www.yudit.org/
Summary: Unicode Text Editor
BuildRoot: %{_tmppath}/yudit-root

%description
Yudit is a unicode text editor for the X Window System.
It does not need localized environment or unicode fonts.
It supports simultanious processing of many languages,
input methods, conversions for local character standards.
This package includes X11 editor interface, shell conversion
utilities and it also has support for postscript printing.
GNU (C) Gaspar Sinai <gsinai@iname.com> 

%prep
%setup

%patch1 -p1 -b srtxg
%configure
%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{prefix}
%makeinstall

tar yxvf %{SOURCE1} -C $RPM_BUILD_ROOT%{_datadir}/yudit/data

# correct Polish locale name
mv $RPM_BUILD_ROOT%{_datadir}/yudit/locale/po.utf8 \
	$RPM_BUILD_ROOT%{_datadir}/yudit/locale/pl.utf8

install -m 755 -d $RPM_BUILD_ROOT%{_libdir}/menu
install -m 644 %SOURCE2 $RPM_BUILD_ROOT%{_libdir}/menu/%{name}
cd $RPM_BUILD_DIR/%{name}-%{version}

#mdk menu
install -d $RPM_BUILD_ROOT%{_iconsdir}
tar xIvf %{SOURCE3} -C $RPM_BUILD_ROOT%{_iconsdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
## menu
%{update_menus}

%postun
## menu
%{clean_menus}


%files -f %{name}.lang
%defattr (-, root, root, 755)
%doc ANNOUNCE* README* doc/UTF-8-test.txt 
%doc doc/compund.text.html doc/kinput2.protocol.utf8
%{_bindir}/uniconv
%{_bindir}/uniprint
%{_bindir}/yudit
%{_bindir}/stripumap
%{_bindir}/makeumap
%{_mandir}/man1/uniconv.1.bz2
%{_mandir}/man1/uniprint.1.bz2
%{_mandir}/man1/yudit.1.bz2
%{_mandir}/man1/stripumap.1.bz2
%{_mandir}/man1/makeumap.1.bz2
%dir %{_datadir}/yudit
%dir %{_datadir}/yudit/config
%config %{_datadir}/yudit/config/yuditrc*
# %dir %{_datadir}/yudit/config/app-defaults
# %config %{_datadir}/yudit/config/app-defaults/*
%{_datadir}/yudit/data
%{_datadir}/yudit/help
%{_datadir}/yudit/locale
# MDK menu entry
%{_libdir}/menu/%{name}
%{_iconsdir}

%changelog
* Mon Oct 02 2000 Daouda Lo <daouda@mandrakesoft.com> 1.5-7mdk
- change icons + more macrozif..
- use find_lang macro.
- let spechelper do its job ;-)
- patched to prevent yudit to find Tahoma font
- add some kmap files
 
* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.5-6mdk
- automatically added BuildRequires

* Sun Jul 23 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 1.5-5mdk
- makeinstall macro
- macroszifications
- BM
- Geoffrey Lee <snailtalk@mandrakesoft.com>
  - update menus and clean menus macro
  - tmppath
  - full src url

* Tue May  2 2000 Vincent Saugey <vince@mandrakesoft.com> 1.5-4mdk
- Fixed menu entry
- Add 16 and 32 icons

* Tue May 02 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.5-3mdk
- added URLs, now Yudit has its own web page!
- added a menu entry

* Thu Apr 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.5-2mdk
- fixed group

* Wed Dec 01 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- updated to 1.5
- merged with Nguyen-Dai Quy <daiquy.nguyen@ulg.ac.be> changes:
  added vietnamese locale (contributed by Lai Hoa`i Trie^'t
  <thlai@mail.usyd.edu.au>)

* Thu Nov  4 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix compilation with gcc2.95.

* Mon Aug 09 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- cleaned %files
- added more encodings

* Sun Jul 18 1999 NGUYEN-DAI Quy <DaiQuy.Nguyen@ulg.ac.be>
- Added "telex" input Method for Vietnamese (VNtelex.kmap).
- Modified "vn.utf8" --> "vi.utf8"
- Added "fr.utf8" for French

* Wed Jul 14 1999 Triet H. Lai <thlai@ee.usyd.edu.au>
- Updated to version 1.3
- Added Vietnamese locale, unicode maps for VPS, TCVN,
  and system config file (yuditrc.vn).

